Canalplan Bug Tracker



Anonymous Login
2019-02-21 18:29 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000083Canalplan Route Planningpublic2016-03-26 10:12
ReporterNick Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version9.26.4Product Build 
Target VersionFixed in Version9.26.5 
Summary0000083: Commas in place-name upset quick place selection
DescriptionIf a place has a comma in the name (like "Savannah,Georgia" [$hjam] then when it is selected from the drop-down on "quick search/route" it will turn into a route between the two parts of the name, not a single place search.

Additional InformationI think the solution is probably to set a flag if the entire entry came from a selection and check that in the quick route code.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000294

Shultzy (updater)

Would it be easier if the "Georgia" part was in brackets?

~0000300

Nick Atty (administrator)

Changing the layout of this name would stop the current problem, but it would return if a place with a comma was ever added again. The answer needs to be either to forbid commas in place names or do some special handing in the selection code. I prefer the latter unless it turns out to be too complicated.

~0000347

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2016-02-04 06:53 Nick Atty New Issue
2016-02-04 13:34 Shultzy Note Added: 0000294
2016-02-04 19:22 user3 Assigned To => Nick Atty
2016-02-04 19:22 user3 Status new => assigned
2016-02-06 12:03 Nick Atty Note Added: 0000300
2016-02-16 11:21 Nick Atty Status assigned => resolved
2016-02-16 11:21 Nick Atty Resolution open => fixed
2016-02-16 11:21 Nick Atty Fixed in Version => 9.26.5
2016-03-26 10:12 Autoclose Note Added: 0000347
2016-03-26 10:12 Autoclose Status resolved => closed
+Issue History